Skip to main content
GET
Get company saved search

Authorizations

X-API-Key
string
header
required

Path Parameters

searchId
string
required

The ID of the saved search being requested.

Response

The details of the query for a given search id.

The details of a company saved search, with its count of new companies.

id
integer
required

The search id for the search, this should be used to query for results for the search.

Example:

41012

name
string
required

Name of the search

Example:

"skyboundclin"

query_id
integer
required

The query id that this search is related to, this can be used to query for the search in the address bar.

https://app.tryspecter.com/companies/10

Example:

152001

product_type
string
required

The type of product the search relates to.

Example:

"company"

owner_id
string
required

Id of the user who owns the saved search. Only a search owned by an admin of your organization can be deleted through the API.

full_count
integer | null

The total number of companies that are returned by this search.

Example:

408264

is_global
boolean
default:false

true when the saved search is a global search curated by Specter and available to all users. false for searches owned by your organization.

Example:

false

new_count
integer | null

The number of new companies that have appeared in this search in the most recent month.

Example:

0